import discord


class BotMessage(discord.Embed):
  pass


class ErrorMessage(BotMessage):
  def __init__(self, message):
    super().__init__(
        title=f"Error: {message}",
        color=discord.Color.red()
    )


class NowPlayingMessage(BotMessage):
  def __init__(self, title, url):
    super().__init__(
        title=f"Now playing: {title}",
        description=url,
        color=discord.Color.green()
    )


class QueuedMessage(BotMessage):
  def __init__(self, title, url):
    super().__init__(
        title=f"Queued: {title}",
        description=url,
        color=discord.Color.blue()
    )
